Saltar para o conteúdo principal
GET
/
v1
/
deals
Listar negocios
curl --request GET \
  --url https://api.vendaze.com/v1/deals \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Acme Corp Annual Contract",
      "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "price_cts": 250000,
      "currency_id": "BRL",
      "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "source": "referral",
      "forecast_date": "2026-12-31",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 150,
    "page": 1,
    "per_page": 50,
    "has_more": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.vendaze.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

OAuth 2.1 access token.

Parâmetros de consulta

page
integer
padrão:1
Intervalo necessário: x >= 1
per_page
integer
padrão:50

Max 100.

Intervalo necessário: 1 <= x <= 100
order_by
string
padrão:created_at
order
enum<string>
padrão:desc
Opções disponíveis:
asc,
desc
name
string

Correspondencia parcial pelo nome do negocio.

pipeline_id
string<uuid>

Filtrar por pipeline.

stage_id
string<uuid>

Filtrar por estagio.

owner_user_id
string<uuid>

Filtrar por responsavel.

source
string

Filtrar por origem do negocio.

price_min_cts
integer

Valor minimo em centavos.

price_max_cts
integer

Valor maximo em centavos.

currency
string

Codigo ISO 4217. Ex: BRL.

forecast_after
string<date-time>

Filtrar por data prevista apos.

forecast_before
string<date-time>

Filtrar por data prevista antes.

created_after
string<date-time>
created_before
string<date-time>
updated_after
string<date-time>
updated_before
string<date-time>

Resposta

Lista de negocios retornada com sucesso.

data
object[]
meta
object